<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        *{
            margin: 0px;
            padding: 0px;
        }
        h1 {
            border: 2px solid black; 
            font-size: 1em;
            color: skyblue;
        }

        h2 {
            border: 2px solid black;
            font-size: 1rem;
            color: black;
        }

        .containerhead {
            font-size: 20px;
            border: 1px solid black;
            /* em:-  relative to its parent element */
            /* rem:-  relative to its root element  */
        }

        .sectioncontainer
        {
            border: 1px solid black ;
       
            width: 400px;
        }
        .item
        {
           border: 1px solid blue;
           width: 80%;
        }
        .box
        {
            border: 2px solid red;
            display: flex;
            
        }
        .box1
        { 
            border: 3px solid blue;
            height: 40vh;
            width: 30vw;
           
        }
        .box2
        { 
            border: 3px solid #2be289;
            height: 40vh;
            width: 30vw;
        }
    </style>
</head>

<body>
    <div class="containerhead">
        <div>
            <h1>Heading1 Em</h1>
        </div>


    <div>
        <h2>Heading2 rem</h2>
    </div>
</div>
<!-- Percentages:- used to set size according to its parent and then divides it -->
<div class="sectioncontainer">
    <div class="item">
        Item
    </div>
</div>
<!-- vh,vw:- viewport height,viewport width -->
<div class="box">
    <div class="box1">
       Box 1
    </div>
    <div class="box2">
     Box 2
    </div>
</div>
</body>
</html>